[INHERIT('BB.PEN')]
module invert;
       
[global] 
function invert(time:timetype):timetype;

{This function is used to invert the 8 bit date stored by VMS.  When
 this is done, the 8 bit variable can then be used as a test in order
 to decide if a message is new or skipped.  This routine is also needed
 because of the way RMS builds keys with indexed files.}

var
  temp : timetype;

begin
  for i := 1 to 8 do
    temp[i] := time[9 - i];
  invert := temp;

end;
end.
